Imported Upstream version 0.51.0
[platform/upstream/intltool.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgincludedir = $(includedir)/@PACKAGE@
63 pkglibdir = $(libdir)/@PACKAGE@
64 pkglibexecdir = $(libexecdir)/@PACKAGE@
65 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
66 install_sh_DATA = $(install_sh) -c -m 644
67 install_sh_PROGRAM = $(install_sh) -c
68 install_sh_SCRIPT = $(install_sh) -c
69 INSTALL_HEADER = $(INSTALL_DATA)
70 transform = $(program_transform_name)
71 NORMAL_INSTALL = :
72 PRE_INSTALL = :
73 POST_INSTALL = :
74 NORMAL_UNINSTALL = :
75 PRE_UNINSTALL = :
76 POST_UNINSTALL = :
77 subdir = tests
78 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
79         $(srcdir)/selftest.pl.in $(top_srcdir)/test-driver
80 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
82 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
83         $(ACLOCAL_M4)
84 mkinstalldirs = $(install_sh) -d
85 CONFIG_CLEAN_FILES = selftest.pl
86 CONFIG_CLEAN_VPATH_FILES =
87 AM_V_P = $(am__v_P_@AM_V@)
88 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
89 am__v_P_0 = false
90 am__v_P_1 = :
91 AM_V_GEN = $(am__v_GEN_@AM_V@)
92 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
93 am__v_GEN_0 = @echo "  GEN     " $@;
94 am__v_GEN_1 = 
95 AM_V_at = $(am__v_at_@AM_V@)
96 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
97 am__v_at_0 = @
98 am__v_at_1 = 
99 SOURCES =
100 DIST_SOURCES =
101 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
102         ctags-recursive dvi-recursive html-recursive info-recursive \
103         install-data-recursive install-dvi-recursive \
104         install-exec-recursive install-html-recursive \
105         install-info-recursive install-pdf-recursive \
106         install-ps-recursive install-recursive installcheck-recursive \
107         installdirs-recursive pdf-recursive ps-recursive \
108         tags-recursive uninstall-recursive
109 am__can_run_installinfo = \
110   case $$AM_UPDATE_INFO_DIR in \
111     n|no|NO) false;; \
112     *) (install-info --version) >/dev/null 2>&1;; \
113   esac
114 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
115   distclean-recursive maintainer-clean-recursive
116 am__recursive_targets = \
117   $(RECURSIVE_TARGETS) \
118   $(RECURSIVE_CLEAN_TARGETS) \
119   $(am__extra_recursive_targets)
120 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
121         check recheck distdir
122 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
123 # Read a list of newline-separated strings from the standard input,
124 # and print each of them once, without duplicates.  Input order is
125 # *not* preserved.
126 am__uniquify_input = $(AWK) '\
127   BEGIN { nonempty = 0; } \
128   { items[$$0] = 1; nonempty = 1; } \
129   END { if (nonempty) { for (i in items) print i; }; } \
130 '
131 # Make sure the list of sources is unique.  This is necessary because,
132 # e.g., the same source file might be shared among _SOURCES variables
133 # for different programs/libraries.
134 am__define_uniq_tagged_files = \
135   list='$(am__tagged_files)'; \
136   unique=`for i in $$list; do \
137     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
138   done | $(am__uniquify_input)`
139 ETAGS = etags
140 CTAGS = ctags
141 am__tty_colors_dummy = \
142   mgn= red= grn= lgn= blu= brg= std=; \
143   am__color_tests=no
144 am__tty_colors = { \
145   $(am__tty_colors_dummy); \
146   if test "X$(AM_COLOR_TESTS)" = Xno; then \
147     am__color_tests=no; \
148   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
149     am__color_tests=yes; \
150   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
151     am__color_tests=yes; \
152   fi; \
153   if test $$am__color_tests = yes; then \
154     red='\e[0;31m'; \
155     grn='\e[0;32m'; \
156     lgn='\e[1;32m'; \
157     blu='\e[1;34m'; \
158     mgn='\e[0;35m'; \
159     brg='\e[1m'; \
160     std='\e[m'; \
161   fi; \
162 }
163 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
164 am__vpath_adj = case $$p in \
165     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
166     *) f=$$p;; \
167   esac;
168 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
169 am__install_max = 40
170 am__nobase_strip_setup = \
171   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
172 am__nobase_strip = \
173   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
174 am__nobase_list = $(am__nobase_strip_setup); \
175   for p in $$list; do echo "$$p $$p"; done | \
176   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
177   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
178     if (++n[$$2] == $(am__install_max)) \
179       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
180     END { for (dir in files) print dir, files[dir] }'
181 am__base_list = \
182   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
183   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
184 am__uninstall_files_from_dir = { \
185   test -z "$$files" \
186     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
187     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
188          $(am__cd) "$$dir" && rm -f $$files; }; \
189   }
190 am__recheck_rx = ^[     ]*:recheck:[    ]*
191 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
192 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
193 # A command that, given a newline-separated list of test names on the
194 # standard input, print the name of the tests that are to be re-run
195 # upon "make recheck".
196 am__list_recheck_tests = $(AWK) '{ \
197   recheck = 1; \
198   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
199     { \
200       if (rc < 0) \
201         { \
202           if ((getline line2 < ($$0 ".log")) < 0) \
203             recheck = 0; \
204           break; \
205         } \
206       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
207         { \
208           recheck = 0; \
209           break; \
210         } \
211       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
212         { \
213           break; \
214         } \
215     }; \
216   if (recheck) \
217     print $$0; \
218   close ($$0 ".trs"); \
219   close ($$0 ".log"); \
220 }'
221 # A command that, given a newline-separated list of test names on the
222 # standard input, create the global log from their .trs and .log files.
223 am__create_global_log = $(AWK) ' \
224 function fatal(msg) \
225 { \
226   print "fatal: making $@: " msg | "cat >&2"; \
227   exit 1; \
228 } \
229 function rst_section(header) \
230 { \
231   print header; \
232   len = length(header); \
233   for (i = 1; i <= len; i = i + 1) \
234     printf "="; \
235   printf "\n\n"; \
236 } \
237 { \
238   copy_in_global_log = 1; \
239   global_test_result = "RUN"; \
240   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
241     { \
242       if (rc < 0) \
243          fatal("failed to read from " $$0 ".trs"); \
244       if (line ~ /$(am__global_test_result_rx)/) \
245         { \
246           sub("$(am__global_test_result_rx)", "", line); \
247           sub("[        ]*$$", "", line); \
248           global_test_result = line; \
249         } \
250       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
251         copy_in_global_log = 0; \
252     }; \
253   if (copy_in_global_log) \
254     { \
255       rst_section(global_test_result ": " $$0); \
256       while ((rc = (getline line < ($$0 ".log"))) != 0) \
257       { \
258         if (rc < 0) \
259           fatal("failed to read from " $$0 ".log"); \
260         print line; \
261       }; \
262       printf "\n"; \
263     }; \
264   close ($$0 ".trs"); \
265   close ($$0 ".log"); \
266 }'
267 # Restructured Text title.
268 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
269 # Solaris 10 'make', and several other traditional 'make' implementations,
270 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
271 # by disabling -e (using the XSI extension "set +e") if it's set.
272 am__sh_e_setup = case $$- in *e*) set +e;; esac
273 # Default flags passed to test drivers.
274 am__common_driver_flags = \
275   --color-tests "$$am__color_tests" \
276   --enable-hard-errors "$$am__enable_hard_errors" \
277   --expect-failure "$$am__expect_failure"
278 # To be inserted before the command running the test.  Creates the
279 # directory for the log if needed.  Stores in $dir the directory
280 # containing $f, in $tst the test, in $log the log.  Executes the
281 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
282 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
283 # will run the test scripts (or their associated LOG_COMPILER, if
284 # thy have one).
285 am__check_pre = \
286 $(am__sh_e_setup);                                      \
287 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
288 $(am__tty_colors);                                      \
289 srcdir=$(srcdir); export srcdir;                        \
290 case "$@" in                                            \
291   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
292     *) am__odir=.;;                                     \
293 esac;                                                   \
294 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
295   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
296 if test -f "./$$f"; then dir=./;                        \
297 elif test -f "$$f"; then dir=;                          \
298 else dir="$(srcdir)/"; fi;                              \
299 tst=$$dir$$f; log='$@';                                 \
300 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
301   am__enable_hard_errors=no;                            \
302 else                                                    \
303   am__enable_hard_errors=yes;                           \
304 fi;                                                     \
305 case " $(XFAIL_TESTS) " in                              \
306   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
307     am__expect_failure=yes;;                            \
308   *)                                                    \
309     am__expect_failure=no;;                             \
310 esac;                                                   \
311 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
312 # A shell command to get the names of the tests scripts with any registered
313 # extension removed (i.e., equivalently, the names of the test logs, with
314 # the '.log' extension removed).  The result is saved in the shell variable
315 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
316 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
317 # since that might cause problem with VPATH rewrites for suffix-less tests.
318 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
319 am__set_TESTS_bases = \
320   bases='$(TEST_LOGS)'; \
321   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
322   bases=`echo $$bases`
323 RECHECK_LOGS = $(TEST_LOGS)
324 TEST_SUITE_LOG = test-suite.log
325 TEST_EXTENSIONS = .test
326 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
327 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
328 am__set_b = \
329   case '$@' in \
330     */*) \
331       case '$*' in \
332         */*) b='$*';; \
333           *) b=`echo '$@' | sed 's/\.log$$//'`; \
334        esac;; \
335     *) \
336       b='$*';; \
337   esac
338 am__test_logs1 = $(TESTS:=.log)
339 TEST_LOGS = $(am__test_logs1:.test.log=.log)
340 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
341 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
342         $(TEST_LOG_FLAGS)
343 DIST_SUBDIRS = $(SUBDIRS)
344 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
345 am__relativize = \
346   dir0=`pwd`; \
347   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
348   sed_rest='s,^[^/]*/*,,'; \
349   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
350   sed_butlast='s,/*[^/]*$$,,'; \
351   while test -n "$$dir1"; do \
352     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
353     if test "$$first" != "."; then \
354       if test "$$first" = ".."; then \
355         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
356         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
357       else \
358         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
359         if test "$$first2" = "$$first"; then \
360           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
361         else \
362           dir2="../$$dir2"; \
363         fi; \
364         dir0="$$dir0"/"$$first"; \
365       fi; \
366     fi; \
367     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
368   done; \
369   reldir="$$dir2"
370 pkgdatadir = @pkgdatadir@
371 ACLOCAL = @ACLOCAL@
372 AMTAR = @AMTAR@
373 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
374 AUTOCONF = @AUTOCONF@
375 AUTOHEADER = @AUTOHEADER@
376 AUTOMAKE = @AUTOMAKE@
377 AWK = @AWK@
378 BZR = @BZR@
379 CYGPATH_W = @CYGPATH_W@
380 DEFS = @DEFS@
381 ECHO_C = @ECHO_C@
382 ECHO_N = @ECHO_N@
383 ECHO_T = @ECHO_T@
384 INSTALL = @INSTALL@
385 INSTALL_DATA = @INSTALL_DATA@
386 INSTALL_PROGRAM = @INSTALL_PROGRAM@
387 INSTALL_SCRIPT = @INSTALL_SCRIPT@
388 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
389 LIBOBJS = @LIBOBJS@
390 LIBS = @LIBS@
391 LTLIBOBJS = @LTLIBOBJS@
392 MAKEINFO = @MAKEINFO@
393 MKDIR_P = @MKDIR_P@
394 PACKAGE = @PACKAGE@
395 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
396 PACKAGE_NAME = @PACKAGE_NAME@
397 PACKAGE_STRING = @PACKAGE_STRING@
398 PACKAGE_TARNAME = @PACKAGE_TARNAME@
399 PACKAGE_URL = @PACKAGE_URL@
400 PACKAGE_VERSION = @PACKAGE_VERSION@
401 PATH_SEPARATOR = @PATH_SEPARATOR@
402 PERL = @PERL@
403 SET_MAKE = @SET_MAKE@
404 SHELL = @SHELL@
405 STRIP = @STRIP@
406 VERSION = @VERSION@
407 abs_builddir = @abs_builddir@
408 abs_srcdir = @abs_srcdir@
409 abs_top_builddir = @abs_top_builddir@
410 abs_top_srcdir = @abs_top_srcdir@
411 aclocaldir = @aclocaldir@
412 am__leading_dot = @am__leading_dot@
413 am__tar = @am__tar@
414 am__untar = @am__untar@
415 bindir = @bindir@
416 build_alias = @build_alias@
417 builddir = @builddir@
418 datadir = @datadir@
419 datarootdir = @datarootdir@
420 docdir = @docdir@
421 dvidir = @dvidir@
422 exec_prefix = @exec_prefix@
423 host_alias = @host_alias@
424 htmldir = @htmldir@
425 includedir = @includedir@
426 infodir = @infodir@
427 install_sh = @install_sh@
428 libdir = @libdir@
429 libexecdir = @libexecdir@
430 localedir = @localedir@
431 localstatedir = @localstatedir@
432 mandir = @mandir@
433 mkdir_p = @mkdir_p@
434 oldincludedir = @oldincludedir@
435 pdfdir = @pdfdir@
436 prefix = @prefix@
437 program_transform_name = @program_transform_name@
438 psdir = @psdir@
439 sbindir = @sbindir@
440 sharedstatedir = @sharedstatedir@
441 srcdir = @srcdir@
442 sysconfdir = @sysconfdir@
443 target_alias = @target_alias@
444 top_build_prefix = @top_build_prefix@
445 top_builddir = @top_builddir@
446 top_srcdir = @top_srcdir@
447 SUBDIRS = cases results
448 TESTS = selftest
449 EXTRA_DIST = selftest.pl.in
450 CLEANFILES = selftest selftest.pl errors
451 all: all-recursive
452
453 .SUFFIXES:
454 .SUFFIXES: .log .test .trs
455 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
456         @for dep in $?; do \
457           case '$(am__configure_deps)' in \
458             *$$dep*) \
459               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
460                 && { if test -f $@; then exit 0; else break; fi; }; \
461               exit 1;; \
462           esac; \
463         done; \
464         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
465         $(am__cd) $(top_srcdir) && \
466           $(AUTOMAKE) --foreign tests/Makefile
467 .PRECIOUS: Makefile
468 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
469         @case '$?' in \
470           *config.status*) \
471             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
472           *) \
473             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
474             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
475         esac;
476
477 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
478         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
479
480 $(top_srcdir)/configure:  $(am__configure_deps)
481         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
482 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
483         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
484 $(am__aclocal_m4_deps):
485 selftest.pl: $(top_builddir)/config.status $(srcdir)/selftest.pl.in
486         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
487
488 # This directory's subdirectories are mostly independent; you can cd
489 # into them and run 'make' without going through this Makefile.
490 # To change the values of 'make' variables: instead of editing Makefiles,
491 # (1) if the variable is set in 'config.status', edit 'config.status'
492 #     (which will cause the Makefiles to be regenerated when you run 'make');
493 # (2) otherwise, pass the desired values on the 'make' command line.
494 $(am__recursive_targets):
495         @fail=; \
496         if $(am__make_keepgoing); then \
497           failcom='fail=yes'; \
498         else \
499           failcom='exit 1'; \
500         fi; \
501         dot_seen=no; \
502         target=`echo $@ | sed s/-recursive//`; \
503         case "$@" in \
504           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
505           *) list='$(SUBDIRS)' ;; \
506         esac; \
507         for subdir in $$list; do \
508           echo "Making $$target in $$subdir"; \
509           if test "$$subdir" = "."; then \
510             dot_seen=yes; \
511             local_target="$$target-am"; \
512           else \
513             local_target="$$target"; \
514           fi; \
515           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
516           || eval $$failcom; \
517         done; \
518         if test "$$dot_seen" = "no"; then \
519           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
520         fi; test -z "$$fail"
521
522 ID: $(am__tagged_files)
523         $(am__define_uniq_tagged_files); mkid -fID $$unique
524 tags: tags-recursive
525 TAGS: tags
526
527 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
528         set x; \
529         here=`pwd`; \
530         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
531           include_option=--etags-include; \
532           empty_fix=.; \
533         else \
534           include_option=--include; \
535           empty_fix=; \
536         fi; \
537         list='$(SUBDIRS)'; for subdir in $$list; do \
538           if test "$$subdir" = .; then :; else \
539             test ! -f $$subdir/TAGS || \
540               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
541           fi; \
542         done; \
543         $(am__define_uniq_tagged_files); \
544         shift; \
545         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
546           test -n "$$unique" || unique=$$empty_fix; \
547           if test $$# -gt 0; then \
548             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
549               "$$@" $$unique; \
550           else \
551             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
552               $$unique; \
553           fi; \
554         fi
555 ctags: ctags-recursive
556
557 CTAGS: ctags
558 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
559         $(am__define_uniq_tagged_files); \
560         test -z "$(CTAGS_ARGS)$$unique" \
561           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
562              $$unique
563
564 GTAGS:
565         here=`$(am__cd) $(top_builddir) && pwd` \
566           && $(am__cd) $(top_srcdir) \
567           && gtags -i $(GTAGS_ARGS) "$$here"
568 cscopelist: cscopelist-recursive
569
570 cscopelist-am: $(am__tagged_files)
571         list='$(am__tagged_files)'; \
572         case "$(srcdir)" in \
573           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
574           *) sdir=$(subdir)/$(srcdir) ;; \
575         esac; \
576         for i in $$list; do \
577           if test -f "$$i"; then \
578             echo "$(subdir)/$$i"; \
579           else \
580             echo "$$sdir/$$i"; \
581           fi; \
582         done >> $(top_builddir)/cscope.files
583
584 distclean-tags:
585         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
586
587 # Recover from deleted '.trs' file; this should ensure that
588 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
589 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
590 # to avoid problems with "make -n".
591 .log.trs:
592         rm -f $< $@
593         $(MAKE) $(AM_MAKEFLAGS) $<
594
595 # Leading 'am--fnord' is there to ensure the list of targets does not
596 # expand to empty, as could happen e.g. with make check TESTS=''.
597 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
598 am--force-recheck:
599         @:
600
601 $(TEST_SUITE_LOG): $(TEST_LOGS)
602         @$(am__set_TESTS_bases); \
603         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
604         redo_bases=`for i in $$bases; do \
605                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
606                     done`; \
607         if test -n "$$redo_bases"; then \
608           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
609           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
610           if $(am__make_dryrun); then :; else \
611             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
612           fi; \
613         fi; \
614         if test -n "$$am__remaking_logs"; then \
615           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
616                "recursion detected" >&2; \
617         else \
618           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
619         fi; \
620         if $(am__make_dryrun); then :; else \
621           st=0;  \
622           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
623           for i in $$redo_bases; do \
624             test -f $$i.trs && test -r $$i.trs \
625               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
626             test -f $$i.log && test -r $$i.log \
627               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
628           done; \
629           test $$st -eq 0 || exit 1; \
630         fi
631         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
632         ws='[   ]'; \
633         results=`for b in $$bases; do echo $$b.trs; done`; \
634         test -n "$$results" || results=/dev/null; \
635         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
636         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
637         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
638         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
639         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
640         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
641         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
642         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
643           success=true; \
644         else \
645           success=false; \
646         fi; \
647         br='==================='; br=$$br$$br$$br$$br; \
648         result_count () \
649         { \
650             if test x"$$1" = x"--maybe-color"; then \
651               maybe_colorize=yes; \
652             elif test x"$$1" = x"--no-color"; then \
653               maybe_colorize=no; \
654             else \
655               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
656             fi; \
657             shift; \
658             desc=$$1 count=$$2; \
659             if test $$maybe_colorize = yes && test $$count -gt 0; then \
660               color_start=$$3 color_end=$$std; \
661             else \
662               color_start= color_end=; \
663             fi; \
664             echo "$${color_start}# $$desc $$count$${color_end}"; \
665         }; \
666         create_testsuite_report () \
667         { \
668           result_count $$1 "TOTAL:" $$all   "$$brg"; \
669           result_count $$1 "PASS: " $$pass  "$$grn"; \
670           result_count $$1 "SKIP: " $$skip  "$$blu"; \
671           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
672           result_count $$1 "FAIL: " $$fail  "$$red"; \
673           result_count $$1 "XPASS:" $$xpass "$$red"; \
674           result_count $$1 "ERROR:" $$error "$$mgn"; \
675         }; \
676         {                                                               \
677           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
678             $(am__rst_title);                                           \
679           create_testsuite_report --no-color;                           \
680           echo;                                                         \
681           echo ".. contents:: :depth: 2";                               \
682           echo;                                                         \
683           for b in $$bases; do echo $$b; done                           \
684             | $(am__create_global_log);                                 \
685         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
686         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
687         if $$success; then                                              \
688           col="$$grn";                                                  \
689          else                                                           \
690           col="$$red";                                                  \
691           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
692         fi;                                                             \
693         echo "$${col}$$br$${std}";                                      \
694         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
695         echo "$${col}$$br$${std}";                                      \
696         create_testsuite_report --maybe-color;                          \
697         echo "$$col$$br$$std";                                          \
698         if $$success; then :; else                                      \
699           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
700           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
701             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
702           fi;                                                           \
703           echo "$$col$$br$$std";                                        \
704         fi;                                                             \
705         $$success || exit 1
706
707 check-TESTS:
708         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
709         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
710         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
711         @set +e; $(am__set_TESTS_bases); \
712         log_list=`for i in $$bases; do echo $$i.log; done`; \
713         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
714         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
715         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
716         exit $$?;
717 recheck: all 
718         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
719         @set +e; $(am__set_TESTS_bases); \
720         bases=`for i in $$bases; do echo $$i; done \
721                  | $(am__list_recheck_tests)` || exit 1; \
722         log_list=`for i in $$bases; do echo $$i.log; done`; \
723         log_list=`echo $$log_list`; \
724         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
725                 am__force_recheck=am--force-recheck \
726                 TEST_LOGS="$$log_list"; \
727         exit $$?
728 selftest.log: selftest
729         @p='selftest'; \
730         b='selftest'; \
731         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
732         --log-file $$b.log --trs-file $$b.trs \
733         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
734         "$$tst" $(AM_TESTS_FD_REDIRECT)
735 .test.log:
736         @p='$<'; \
737         $(am__set_b); \
738         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
739         --log-file $$b.log --trs-file $$b.trs \
740         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
741         "$$tst" $(AM_TESTS_FD_REDIRECT)
742
743 distdir: $(DISTFILES)
744         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
745         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
746         list='$(DISTFILES)'; \
747           dist_files=`for file in $$list; do echo $$file; done | \
748           sed -e "s|^$$srcdirstrip/||;t" \
749               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
750         case $$dist_files in \
751           */*) $(MKDIR_P) `echo "$$dist_files" | \
752                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
753                            sort -u` ;; \
754         esac; \
755         for file in $$dist_files; do \
756           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
757           if test -d $$d/$$file; then \
758             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
759             if test -d "$(distdir)/$$file"; then \
760               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
761             fi; \
762             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
763               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
764               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
765             fi; \
766             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
767           else \
768             test -f "$(distdir)/$$file" \
769             || cp -p $$d/$$file "$(distdir)/$$file" \
770             || exit 1; \
771           fi; \
772         done
773         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
774           if test "$$subdir" = .; then :; else \
775             $(am__make_dryrun) \
776               || test -d "$(distdir)/$$subdir" \
777               || $(MKDIR_P) "$(distdir)/$$subdir" \
778               || exit 1; \
779             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
780             $(am__relativize); \
781             new_distdir=$$reldir; \
782             dir1=$$subdir; dir2="$(top_distdir)"; \
783             $(am__relativize); \
784             new_top_distdir=$$reldir; \
785             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
786             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
787             ($(am__cd) $$subdir && \
788               $(MAKE) $(AM_MAKEFLAGS) \
789                 top_distdir="$$new_top_distdir" \
790                 distdir="$$new_distdir" \
791                 am__remove_distdir=: \
792                 am__skip_length_check=: \
793                 am__skip_mode_fix=: \
794                 distdir) \
795               || exit 1; \
796           fi; \
797         done
798 check-am: all-am
799         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
800 check: check-recursive
801 all-am: Makefile
802 installdirs: installdirs-recursive
803 installdirs-am:
804 install: install-recursive
805 install-exec: install-exec-recursive
806 install-data: install-data-recursive
807 uninstall: uninstall-recursive
808
809 install-am: all-am
810         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
811
812 installcheck: installcheck-recursive
813 install-strip:
814         if test -z '$(STRIP)'; then \
815           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
816             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
817               install; \
818         else \
819           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
820             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
821             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
822         fi
823 mostlyclean-generic:
824         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
825         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
826         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
827
828 clean-generic:
829         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
830
831 distclean-generic:
832         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
833         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
834
835 maintainer-clean-generic:
836         @echo "This command is intended for maintainers to use"
837         @echo "it deletes files that may require special tools to rebuild."
838 clean: clean-recursive
839
840 clean-am: clean-generic mostlyclean-am
841
842 distclean: distclean-recursive
843         -rm -f Makefile
844 distclean-am: clean-am distclean-generic distclean-tags
845
846 dvi: dvi-recursive
847
848 dvi-am:
849
850 html: html-recursive
851
852 html-am:
853
854 info: info-recursive
855
856 info-am:
857
858 install-data-am:
859
860 install-dvi: install-dvi-recursive
861
862 install-dvi-am:
863
864 install-exec-am:
865
866 install-html: install-html-recursive
867
868 install-html-am:
869
870 install-info: install-info-recursive
871
872 install-info-am:
873
874 install-man:
875
876 install-pdf: install-pdf-recursive
877
878 install-pdf-am:
879
880 install-ps: install-ps-recursive
881
882 install-ps-am:
883
884 installcheck-am:
885
886 maintainer-clean: maintainer-clean-recursive
887         -rm -f Makefile
888 maintainer-clean-am: distclean-am maintainer-clean-generic
889
890 mostlyclean: mostlyclean-recursive
891
892 mostlyclean-am: mostlyclean-generic
893
894 pdf: pdf-recursive
895
896 pdf-am:
897
898 ps: ps-recursive
899
900 ps-am:
901
902 uninstall-am:
903
904 .MAKE: $(am__recursive_targets) check-am install-am install-strip
905
906 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
907         check-TESTS check-am clean clean-generic cscopelist-am ctags \
908         ctags-am distclean distclean-generic distclean-tags distdir \
909         dvi dvi-am html html-am info info-am install install-am \
910         install-data install-data-am install-dvi install-dvi-am \
911         install-exec install-exec-am install-html install-html-am \
912         install-info install-info-am install-man install-pdf \
913         install-pdf-am install-ps install-ps-am install-strip \
914         installcheck installcheck-am installdirs installdirs-am \
915         maintainer-clean maintainer-clean-generic mostlyclean \
916         mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
917         uninstall uninstall-am
918
919
920 selftest: selftest.pl
921         cp $< $@ && chmod +x $@
922
923 # Tell versions [3.59,3.63) of GNU make to not export all variables.
924 # Otherwise a system limit (for SysV at least) may be exceeded.
925 .NOEXPORT: